// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

// Font path is used to include ionicons,
// roboto, and noto sans fonts
$font-path: "../assets/fonts";


// The app direction is used to include
// rtl styles in your app. For more info, please see:
// http://ionicframework.com/docs/theming/rtl-support/
$app-direction: ltr;


@import "ionic.globals";


// Shared Variables
// --------------------------------------------------
// To customize the look and feel of this app, you can override
// the Sass variables found in Ionic's source scss files.
// To view all the possible Ionic variables, see:
// http://ionicframework.com/docs/theming/overriding-ionic-variables/




// Named Color Variables
// --------------------------------------------------
// Named colors makes it easy to reuse colors on various components.
// It's highly recommended to change the default colors
// to match your app's branding. Ionic uses a Sass map of
// colors so you can add, rename and remove colors as needed.
// The "primary" color is the only required color in the map.

$white: #FFFFFF;
$white-a: darken($white, 3%);
$white-b: darken($white, 6%);
$white-c: darken($white, 12%);
$white-d: darken($white, 24%);

$black: black;
$black-a: lighten($black, 10%);
$black-b: lighten($black, 20%);
$black-c: lighten($black, 40%);
$black-d: lighten($black, 60%);

// $theme-color-1: #ff8f00;
$theme-color-1: #00e676;
// $theme-color-2: #37474f;
$theme-color-2: #22262e;
$theme-color-3: #5e5874;

$text-input-highlight-color-valid: $theme-color-1;
$text-input-md-highlight-color: $theme-color-1;
$text-input-ios-highlight-color: $theme-color-1;
$label-md-text-color-focused: $theme-color-1;
$text-color: $white;
$refresher-icon-color: $theme-color-2;
$segment-button-ios-background-color-activated: transparent;

$colors: (
  primary:    #488aff,
  danger:     #f53d3d,
  light:      #f4f4f4,
  light-gray: #bcbcbc,
  dark:       #222,
  black-b:    $black-b,
  black:      $black,
  walkthrough:(
    base: $theme-color-1,
    contrast: $white
  ),
  walkthrough-alt:(
    base: $theme-color-2,
    contrast: $white
  ),
  walkthrough-header:(
    base: transparent,
    contrast: $white
  ),
  white-footer:(
    base: $white,
    contrast: $white
  ),
  header:(
    base: $black-b,
    contrast: $white
  ),
  header-alt:(
    base: $theme-color-1,
    contrast: $white
  ),
  facebook:(
    base: #3b5998,
    contrast: $white
  ),
  google:(
    base: #cc181e,
    contrast: $white
  ),
  twitter:(
    base: #00aced,
    contrast: $white
  ),
  button:(
    base: $theme-color-1,
    contrast: $white
  ),
  button-alt:(
    base: $theme-color-2,
    contrast: $white
  ),
  background:(
    base: $white-a,
    contrast: $black-b
  ),
);


// App iOS Variables
// --------------------------------------------------
// iOS only Sass variables can go here




// App Material Design Variables
// --------------------------------------------------
// Material Design only Sass variables can go here




// App Windows Variables
// --------------------------------------------------
// Windows only Sass variables can go here




// App Theme
// --------------------------------------------------
// Ionic apps can have different themes applied, which can
// then be future customized. This import comes last
// so that the above variables are used and Ionic's
// default are overridden.

@import "ionic.theme.default";


// Ionicons
// --------------------------------------------------
// The premium icon font for Ionic. For more info, please see:
// http://ionicframework.com/docs/ionicons/

@import "ionic.ionicons";


// Fonts
// --------------------------------------------------

// @import "roboto";
// @import "noto-sans";

@import url('https://fonts.googleapis.com/css?family=Nunito');
$font-family-base: 'Nunito';
$font-family-md-base: 'Nunito';
$font-family-ios-base: 'Nunito';
$font-family-wp-base: 'Nunito';
